<?php

namespace ACL\Repositories;

use ACL\Traits\TQuery;
use ACL\Helpers\Instances\InstanceProvider;
use Doctrine\ORM\EntityManager;

class Organizacaooper extends RepositoryBase {

    Use TQuery;

    protected $table = 'ORGANIZACAOOPER';

    /** @var EntityManager */
    protected $entityManager;

    public function __construct(EntityManager $entityManager)
    {
        parent::__construct($this->table);
        $this->entityManager = $entityManager;
    }

    public function createOrganizacaooper($nrorganizacaooper, $nrorgtrab, $cdoperador,
                                          $organizationId, $cdoperinclusao, $idativo)
    {
        $query = "INSERT INTO ORGANIZACAOOPER
                              (NRORGANIZACAOOPER, NRORGREL, CDOPERADOR, DTINCLUSAO, NRORGINCLUSAO,
                               CDOPERINCLUSAO, NRORG, IDATIVO)
                       VALUES (:NRORGANIZACAOOPER, :NRORGTRAB, :CDOPERADOR, SYSDATE, :NRORG,
                               :CDOPERINCLUSAO, :NRORG, :IDATIVO)";

        $params = array (
            "NRORGANIZACAOOPER" => $nrorganizacaooper,
            "NRORGTRAB"         => $nrorgtrab,
            "CDOPERADOR"        => $cdoperador,
            "CDOPERINCLUSAO"    => $cdoperinclusao,
            "NRORG"             => $organizationId,
            "IDATIVO"           => $idativo
        );

        try {
            $std = InstanceProvider::getEntityManager()->getConnection()->prepare($query);
            $std->executeQuery($params);
        } catch (\Exception $e) {
            throw new \Exception($e->getMessage());
        };
    }
}
