﻿/* Tabela PARAVEND: TABELA DE PARAVEND*/
/* Descrição: A trigger insere registros na tabela LOGOPERAVND a partir de alterações na tabela PARAVEND */
/* Objetivo: Gerar um log que vai registrar as alterações na PARAVEND,
             utilizando a tabela de Logs de Operações do VND*/
create or replace
TRIGGER LOG_VND_PARAVEND
AFTER DELETE OR INSERT OR UPDATE
ON PARAVEND FOR EACH ROW
DECLARE
  V_DSREMOTEADDR VARCHAR2(15);
  V_DSREMOTEHOST VARCHAR2(15);
  V_DSSERVERRDM  VARCHAR2(20);
  V_DSSERVMETHOD VARCHAR2(30);
  V_DSREMOTEOPER VARCHAR2(12);
  V_DESC         VARCHAR2(3000);
  V_ITPESQ       VARCHAR2(40);
  V_NMOPERADOR   VARCHAR2(40);
  V_IDTIPOOPER   VARCHAR2(1);
BEGIN
/* IDTIPOOPER - '1' - Inclusão, '2' - Alteração, '3' - Exclusão*/
   V_DESC       := '';
   V_ITPESQ     := '';
   V_NMOPERADOR := '';
   V_IDTIPOOPER := '';
   NMUSUARIO(V_NMOPERADOR);
   WEBTUNNING(V_DSREMOTEADDR,
              V_DSREMOTEHOST,
              V_DSSERVERRDM,
              V_DSSERVMETHOD,
              V_DSREMOTEOPER);
   IF UPDATING THEN
      IF NVL(:NEW.CDFILIAL,' NULL') <> NVL(:OLD.CDFILIAL,' NULL') THEN 
         V_DESC := 'Filial ' || ' ' || NVL(:NEW.CDFILIAL,'' );
      END IF;
      IF NVL(:NEW.CDPARAVEND,' NULL') <> NVL(:OLD.CDPARAVEND,' NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'CDPARAVEND ' || ' ' || NVL(:NEW.CDPARAVEND,'' );
      END IF;
      IF NVL(:NEW.CDPRODUTO,' NULL') <> NVL(:OLD.CDPRODUTO,' NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'CDPRODUTO ' || ' ' || NVL(:NEW.CDPRODUTO,'' );
      END IF;
      IF NVL(:NEW.CDCLIENTE,' NULL') <> NVL(:OLD.CDCLIENTE,' NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Cliente ' || ' ' || NVL(:NEW.CDCLIENTE,'' );
      END IF;
      IF NVL(:NEW.VRTXENTREGA,99999) <> NVL(:OLD.VRTXENTREGA,99999) THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'VRTXENTREGA ' || ' ' || NVL(:NEW.VRTXENTREGA,'' );
      END IF;
       IF NVL(:NEW.VRMINSANGRIA,99999) <> NVL(:OLD.VRMINSANGRIA,99999) THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'VRMINSANGRIA ' || ' ' || NVL(:NEW.VRMINSANGRIA,'' );
      END IF;
      IF NVL(:NEW.VRMAXSANGRIA,99999) <> NVL(:OLD.VRMAXSANGRIA,99999) THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'VRMAXSANGRIA ' || ' ' || NVL(:NEW.VRMAXSANGRIA,'' );
      END IF;
      IF (NVL(:NEW.IDAMBTRABNFCE,' NULL') <> NVL(:OLD.IDAMBTRABNFCE,' NULL')) THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDAMBTRABNFCE ' || ' ' || NVL(:NEW.IDAMBTRABNFCE,'' );
      END IF;
      IF (NVL(:NEW.CDCODSCONSPROD,' NULL') <> NVL(:OLD.CDCODSCONSPROD,' NULL')) THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'CDCODSCONSPROD ' || ' ' || NVL(:NEW.CDCODSCONSPROD,'' );
      END IF;
      IF (NVL(:NEW.CDCODSCONSHOMO,' NULL') <> NVL(:OLD.CDCODSCONSHOMO,' NULL')) THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'CDCODSCONSHOMO ' || ' ' || NVL(:NEW.CDCODSCONSHOMO,'' );
      END IF;
      IF (NVL(:NEW.CDURLWSNFC,' NULL') <> NVL(:OLD.CDURLWSNFC,' NULL')) THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'CDURLWSNFC ' || ' ' || NVL(:NEW.CDURLWSNFC,'' );
      END IF;
      IF (NVL(:NEW.CDVINCSAT,' NULL') <> NVL(:OLD.CDVINCSAT,' NULL')) THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'CDVINCSAT ' || ' ' || NVL(:NEW.CDVINCSAT,'' );
      END IF;
      IF (NVL(:NEW.NRMINEXPVENDA,' NULL') <> NVL(:OLD.NRMINEXPVENDA,' NULL')) THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'NRMINEXPVENDA ' || ' ' || NVL(:NEW.NRMINEXPVENDA,'' );
      END IF;
      IF (NVL(:NEW.IDSOLICITADOTZ,' NULL') <> NVL(:OLD.IDSOLICITADOTZ,' NULL')) THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDSOLICITADOTZ ' || ' ' || NVL(:NEW.IDSOLICITADOTZ,'' );
      END IF;
      IF (NVL(:NEW.IDENVIAPEDKDS,' NULL') <> NVL(:OLD.IDENVIAPEDKDS,' NULL')) THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDENVIAPEDKDS ' || ' ' || NVL(:NEW.IDENVIAPEDKDS,'' );
      END IF;
      IF (NVL(:NEW.IDINTEGRAEEXTRA,' NULL') <> NVL(:OLD.IDINTEGRAEEXTRA,' NULL')) THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDINTEGRAEEXTRA ' || ' ' || NVL(:NEW.IDINTEGRAEEXTRA,'' );
      END IF;
      IF (NVL(:NEW.IDSOLICITANSU,' NULL') <> NVL(:OLD.IDSOLICITANSU,' NULL')) THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDSOLICITANSU ' || ' ' || NVL(:NEW.IDSOLICITANSU,'' );
      END IF;
      IF NVL(:NEW.NMULTIMOTXT,' NULL') <> NVL(:OLD.NMULTIMOTXT,' NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'NMULTIMOTXT ' || ' ' || NVL(:NEW.NMULTIMOTXT,'' );
      END IF;
      IF NVL(:NEW.IDCONSUMIOBR,'1') <> NVL(:OLD.IDCONSUMIOBR,'1') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDCONSUMIOBR ' || ' ' || NVL(:NEW.IDCONSUMIOBR,'' );
      END IF;
      IF NVL(:NEW.QTDIGCDIDCON,99999) <> NVL(:OLD.QTDIGCDIDCON,99999) THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'QTDIGCDIDCON ' || ' ' || NVL(:NEW.QTDIGCDIDCON,'' );
      END IF;
      IF NVL(:NEW.CDDIGCDIDCON,' NULL') <> NVL(:OLD.CDDIGCDIDCON,' NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'CDDIGCDIDCON ' || ' ' || NVL(:NEW.CDDIGCDIDCON,'' );
      END IF;
      IF NVL(:NEW.IDATUEST,' NULL') <> NVL(:OLD.IDATUEST,' NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDATUEST ' || ' ' || NVL(:NEW.IDATUEST,'' );
      END IF;
      IF NVL(:NEW.CDSERVFILI,' NULL') <> NVL(:OLD.CDSERVFILI,' NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'CDSERVFILI ' || ' ' || NVL(:NEW.CDSERVFILI,'' );
      END IF;
      IF NVL(:NEW.IDSERVPAD,' NULL') <> NVL(:OLD.IDSERVPAD,' NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDSERVPAD ' || ' ' || NVL(:NEW.IDSERVPAD,'' );
      END IF;
      IF NVL(:NEW.IDIMPCUPFIS,' NULL') <> NVL(:OLD.IDIMPCUPFIS,' NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDIMPCUPFIS ' || ' ' || NVL(:NEW.IDIMPCUPFIS,'' );
      END IF;
      IF NVL(:NEW.CDEMPRESA,' NULL') <> NVL(:OLD.CDEMPRESA,' NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'CDEMPRESA ' || ' ' || NVL(:NEW.CDEMPRESA,'' );
      END IF;
      IF NVL(:NEW.CDINSCESTA,' NULL') <> NVL(:OLD.CDINSCESTA,' NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'CDINSCESTA ' || ' ' || NVL(:NEW.CDINSCESTA,'' );
      END IF;
      IF NVL(:NEW.CDINSCMUNI,' NULL') <> NVL(:OLD.CDINSCMUNI,' NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'CDINSCMUNI ' || ' ' || NVL(:NEW.CDINSCMUNI,'' );
      END IF;
      IF NVL(:NEW.CDSERIE,' NULL') <> NVL(:OLD.CDSERIE,' NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'CDSERIE ' || ' ' || NVL(:NEW.CDSERIE,'' );
      END IF;
      IF NVL(:NEW.CDTABEPREC,' NULL') <> NVL(:OLD.CDTABEPREC,' NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'CDTABEPREC ' || ' ' || NVL(:NEW.CDTABEPREC,'' );
      END IF;
      IF NVL(:NEW.IDFORMAPRECO,' NULL') <> NVL(:OLD.IDFORMAPRECO,' NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDFORMAPRECO ' || ' ' || NVL(:NEW.IDFORMAPRECO,'' );
      END IF;
      IF NVL(:NEW.IDCUSFOPRECO,' NULL') <> NVL(:OLD.IDCUSFOPRECO,' NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDCUSFOPRECO ' || ' ' || NVL(:NEW.IDCUSFOPRECO,'' );
      END IF;
      IF NVL(:NEW.IDPRECDIFCOM,' NULL') <> NVL(:OLD.IDPRECDIFCOM,' NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDPRECDIFCOM ' || ' ' || NVL(:NEW.IDPRECDIFCOM,'' );
      END IF;
      IF NVL(:NEW.IDORIGVENDA,' NULL') <> NVL(:OLD.IDORIGVENDA,' NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDORIGVENDA ' || ' ' || NVL(:NEW.IDORIGVENDA,'' );
      END IF;
      IF NVL(:NEW.NRDIAFATVEND,99999) <> NVL(:OLD.NRDIAFATVEND,999999) THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'NRDIAFATVEND ' || ' ' || NVL(:NEW.NRDIAFATVEND,'' );
      END IF;
      IF NVL(:NEW.IDPERDIGCONS,' NULL') <> NVL(:OLD.IDPERDIGCONS,' NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDPERDIGCONS ' || ' ' || NVL(:NEW.IDPERDIGCONS,'' );
      END IF;
      IF NVL(:NEW.CDLOJA,' NULL') <> NVL(:OLD.CDLOJA,' NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Loja ' || ' ' || NVL(:NEW.CDLOJA,'' );
      END IF;
      IF NVL(:NEW.NRDIASVENDA,999999) <> NVL(:OLD.NRDIASVENDA,999999) THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'NRDIASVENDA ' || ' ' || NVL(:NEW.NRDIASVENDA,'' );
      END IF;
      IF NVL(:NEW.IDTESESTCONS,' NULL') <> NVL(:OLD.IDTESESTCONS,' NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDTESESTCONS ' || ' ' || NVL(:NEW.IDTESESTCONS,'' );
      END IF;
      IF NVL(:NEW.IDCRIPTOCONS,' NULL') <> NVL(:OLD.IDCRIPTOCONS,' NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDCRIPTOCONS ' || ' ' || NVL(:NEW.IDCRIPTOCONS,'' );
      END IF;
      IF NVL(:NEW.QTDIGICOMAND,99999) <> NVL(:OLD.QTDIGICOMAND,99999) THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'QTDIGICOMAND ' || ' ' || NVL(:NEW.QTDIGICOMAND,'' );
      END IF;
      IF NVL(:NEW.CDTIPOCONS,' NULL') <> NVL(:OLD.CDTIPOCONS,' NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'CDTIPOCONS ' || ' ' || NVL(:NEW.CDTIPOCONS,'' );
      END IF;
      IF NVL(:NEW.CDCCUSCLIE,' NULL') <> NVL(:OLD.CDCCUSCLIE,' NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'CDCCUSCLIE ' || ' ' || NVL(:NEW.CDCCUSCLIE,'' );
      END IF;
      IF NVL(:NEW.IDPERMARCDUP,' NULL') <> NVL(:OLD.IDPERMARCDUP,' NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDPERMARCDUP ' || ' ' || NVL(:NEW.IDPERMARCDUP,'' );
      END IF;
      IF NVL(:NEW.IDALTPRECO,' NULL') <> NVL(:OLD.IDALTPRECO,' NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDALTPRECO ' || ' ' || NVL(:NEW.IDALTPRECO,'' );
      END IF;
      IF NVL(:NEW.CDTPCONSDUP,' NULL') <> NVL(:OLD.CDTPCONSDUP,' NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'CDTPCONSDUP ' || ' ' || NVL(:NEW.CDTPCONSDUP,'' );
      END IF;
      IF NVL(:NEW.CDGRPRODPDV,' NULL') <> NVL(:OLD.CDGRPRODPDV,' NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'CDGRPRODPDV ' || ' ' || NVL(:NEW.CDGRPRODPDV,'' );
      END IF;
      IF NVL(:NEW.NRPOSINICONS,99999) <> NVL(:OLD.NRPOSINICONS,99999) THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'NRPOSINICONS ' || ' ' || NVL(:NEW.NRPOSINICONS,'' );
      END IF;
      IF NVL(:NEW.NRPOSFINCONS,99999) <> NVL(:OLD.NRPOSFINCONS,99999) THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'NRPOSFINCONS ' || ' ' || NVL(:NEW.NRPOSFINCONS,'' );
      END IF;
      IF NVL(:NEW.IDUTDLLEXSEG,' NULL') <> NVL(:OLD.IDUTDLLEXSEG,' NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDUTDLLEXSEG ' || ' ' || NVL(:NEW.IDUTDLLEXSEG,'' );
      END IF;
      IF NVL(:NEW.CDPDVDLLSEG,' NULL') <> NVL(:OLD.CDPDVDLLSEG,' NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'CDPDVDLLSEG ' || ' ' || NVL(:NEW.CDPDVDLLSEG,'' );
      END IF;
      IF NVL(:NEW.CDPOODLLSEG,' NULL') <> NVL(:OLD.CDPOODLLSEG,' NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'CDPOODLLSEG ' || ' ' || NVL(:NEW.CDPOODLLSEG,'' );
      END IF;
      IF NVL(:NEW.CDCXADLLSEG,' NULL') <> NVL(:OLD.CDCXADLLSEG,' NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'CDCXADLLSEG ' || ' ' || NVL(:NEW.CDCXADLLSEG,'' );
      END IF;
      IF NVL(:NEW.QTMEDVENDDIA,99999) <> NVL(:OLD.QTMEDVENDDIA,99999) THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'QTMEDVENDDIA ' || ' ' || NVL(:NEW.QTMEDVENDDIA,'' );
      END IF;
      IF NVL(:NEW.IDUTSUBTCONS,' NULL') <> NVL(:OLD.IDUTSUBTCONS,' NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDUTSUBTCONS ' || ' ' || NVL(:NEW.IDUTSUBTCONS,'' );
      END IF;
      IF NVL(:NEW.CDCAIXACTRL,' NULL') <> NVL(:OLD.CDCAIXACTRL,' NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'CDCAIXACTRL ' || ' ' || NVL(:NEW.CDCAIXACTRL,'' );
      END IF;
      IF NVL(:NEW.VRPEEMITROCO,99999) <> NVL(:OLD.VRPEEMITROCO,99999) THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'VRPEEMITROCO ' || ' ' || NVL(:NEW.VRPEEMITROCO,'' );
      END IF;
      IF NVL(:NEW.CDFORMATCOD,' NULL') <> NVL(:OLD.CDFORMATCOD,' NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'CDFORMATCOD ' || ' ' || NVL(:NEW.CDFORMATCOD,'' );
      END IF;
      IF NVL(:NEW.NRPOSINIOPT,99999) <> NVL(:OLD.NRPOSINIOPT,99999) THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'NRPOSINIOPT ' || ' ' || NVL(:NEW.NRPOSINIOPT,'' );
      END IF;
      IF NVL(:NEW.NRPOSFIMOPT,99999) <> NVL(:OLD.NRPOSFIMOPT,99999) THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'NRPOSFIMOPT ' || ' ' || NVL(:NEW.NRPOSFIMOPT,'' );
      END IF;
      IF NVL(:NEW.DTULTATUPAVN,TO_DATE('01/01/0001','DD/MM/YYYY')) <> NVL(:OLD.DTULTATUPAVN,TO_DATE('01/01/0001','DD/MM/YYYY')) THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'DTULTATUPAVN ' || ' ' || NVL(:NEW.DTULTATUPAVN,'' );
      END IF;
      IF NVL(:NEW.DTINICONSTOT,TO_DATE('01/01/0001','DD/MM/YYYY'))<> NVL(:OLD.DTINICONSTOT,TO_DATE('01/01/0001','DD/MM/YYYY')) THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'DTINICONSTOT ' || ' ' || NVL(:NEW.DTINICONSTOT,'' );
      END IF;
      IF NVL(:NEW.IDTIPMAPRESU,' NULL') <> NVL(:OLD.IDTIPMAPRESU,' NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDTIPMAPRESU ' || ' ' || NVL(:NEW.IDTIPMAPRESU,'' );
      END IF;
      IF NVL(:NEW.IDENTRSAIDOP,' NULL') <> NVL(:OLD.IDENTRSAIDOP,' NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDENTRSAIDOP ' || ' ' || NVL(:NEW.IDENTRSAIDOP,'' );
      END IF;
      IF NVL(:NEW.CDTIPOOPER,' NULL') <> NVL(:OLD.CDTIPOOPER,' NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'CDTIPOOPER ' || ' ' || NVL(:NEW.CDTIPOOPER,'' );
      END IF;
      IF NVL(:NEW.IDACRIMPOSTO,' NULL') <> NVL(:OLD.IDACRIMPOSTO,' NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDACRIMPOSTO ' || ' ' || NVL(:NEW.IDACRIMPOSTO,'' );
      END IF;
      IF NVL(:NEW.CDOPERADOR,' NULL') <> NVL(:OLD.CDOPERADOR,' NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'CDOPERADOR ' || ' ' || NVL(:NEW.CDOPERADOR,'' );
      END IF;
      IF NVL(:NEW.CDPRODTAXSER,' NULL') <> NVL(:OLD.CDPRODTAXSER,' NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'CDPRODTAXSER ' || ' ' || NVL(:NEW.CDPRODTAXSER,'' );
      END IF;
      IF NVL(:NEW.CDFILIALEXT,' NULL') <> NVL(:OLD.CDFILIALEXT,' NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'CDFILIALEXT ' || ' ' || NVL(:NEW.CDFILIALEXT,'' );
      END IF;
      IF NVL(:NEW.CDVERBACONS,' NULL') <> NVL(:OLD.CDVERBACONS,' NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'CDVERBACONS ' || ' ' || NVL(:NEW.CDVERBACONS,'' );
      END IF;
      IF NVL(:NEW.CDVERBAEXCE,' NULL') <> NVL(:OLD.CDVERBAEXCE,' NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'CDVERBAEXCE ' || ' ' || NVL(:NEW.CDVERBAEXCE,'' );
      END IF;
      IF NVL(:NEW.IDCALCVREXCE,' NULL') <> NVL(:OLD.IDCALCVREXCE,' NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDCALCVREXCE ' || ' ' || NVL(:NEW.IDCALCVREXCE,'' );
      END IF;
      IF NVL(:NEW.VRREFNEGCLIE,99999) <> NVL(:OLD.VRREFNEGCLIE,99999) THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'VRREFNEGCLIE ' || ' ' || NVL(:NEW.VRREFNEGCLIE,'' );
      END IF;
      IF NVL(:NEW.IDSALDOINICUPOM,' NULL') <> NVL(:OLD.IDSALDOINICUPOM,' NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDSALDOINICUPOM ' || ' ' || NVL(:NEW.IDSALDOINICUPOM,'' );
      END IF;
      IF NVL(:NEW.IDPREVCONSPDV,' NULL') <> NVL(:OLD.IDPREVCONSPDV,' NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDPREVCONSPDV ' || ' ' || NVL(:NEW.IDPREVCONSPDV,'' );
      END IF;
      IF NVL(:NEW.CDSERIECNTREC,' NULL') <> NVL(:OLD.CDSERIECNTREC,' NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'CDSERIECNTREC ' || ' ' || NVL(:NEW.CDSERIECNTREC,'' );
      END IF;
      IF NVL(:NEW.CDTPOPERCNTREC,' NULL') <> NVL(:OLD.CDTPOPERCNTREC,' NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'CDTPOPERCNTREC ' || ' ' || NVL(:NEW.CDTPOPERCNTREC,'' );
      END IF;
      IF NVL(:NEW.CDREDUCONT,' NULL') <> NVL(:OLD.CDREDUCONT,' NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'CDREDUCONT ' || ' ' || NVL(:NEW.CDREDUCONT,'' );
      END IF;
      IF NVL(:NEW.CDTPBAIXAREC,' NULL') <> NVL(:OLD.CDTPBAIXAREC,' NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'CDTPBAIXAREC ' || ' ' || NVL(:NEW.CDTPBAIXAREC,'' );
      END IF;
      IF NVL(:NEW.IDGERACAOTC,' NULL') <> NVL(:OLD.IDGERACAOTC,' NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDGERACAOTC ' || ' ' || NVL(:NEW.IDGERACAOTC,'' );
      END IF;
      IF NVL(:NEW.IDIMPSALDOCUPOM,' NULL') <> NVL(:OLD.IDIMPSALDOCUPOM,' NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDIMPSALDOCUPOM ' || ' ' || NVL(:NEW.IDIMPSALDOCUPOM,'' );
      END IF;
      IF NVL(:NEW.IDPERCONVESTNEG,' NULL') <> NVL(:OLD.IDPERCONVESTNEG,' NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDPERCONVESTNEG ' || ' ' || NVL(:NEW.IDPERCONVESTNEG,'' );
      END IF;
      IF NVL(:NEW.IDUTILMODPROD,' NULL') <> NVL(:OLD.IDUTILMODPROD,' NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDUTILMODPROD ' || ' ' || NVL(:NEW.IDUTILMODPROD,'' );
      END IF;
      IF NVL(:NEW.NRDIASVERMOVCLI,99999) <> NVL(:OLD.NRDIASVERMOVCLI,99999) THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'NRDIASVERMOVCLI ' || ' ' || NVL(:NEW.NRDIASVERMOVCLI,'' );
      END IF;
      IF NVL(:NEW.IDUTCONFCADCONS,' NULL') <> NVL(:OLD.IDUTCONFCADCONS,' NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDUTCONFCADCONS ' || ' ' || NVL(:NEW.IDUTCONFCADCONS,'' );
      END IF;
      IF NVL(:NEW.IDRECBOLETBANC,' NULL') <> NVL(:OLD.IDRECBOLETBANC,' NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDRECBOLETBANC ' || ' ' || NVL(:NEW.IDRECBOLETBANC,'' );
      END IF;
      IF NVL(:NEW.IDRECBANCOITAU,' NULL') <> NVL(:OLD.IDRECBANCOITAU,' NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDRECBANCOITAU ' || ' ' || NVL(:NEW.IDRECBANCOITAU,'' );
      END IF;
      IF NVL(:NEW.IDRECBANCOBRADE,' NULL') <> NVL(:OLD.IDRECBANCOBRADE,' NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDRECBANCOBRADE ' || ' ' || NVL(:NEW.IDRECBANCOBRADE,'' );
      END IF;
      IF NVL(:NEW.IDCONSREDZMECF,' NULL') <> NVL(:OLD.IDCONSREDZMECF,' NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDCONSREDZMECF ' || ' ' || NVL(:NEW.IDCONSREDZMECF,'' );
      END IF;
      IF NVL(:NEW.IDCONSTCFECDIA,' NULL') <> NVL(:OLD.IDCONSTCFECDIA,' NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDCONSTCFECDIA ' || ' ' || NVL(:NEW.IDCONSTCFECDIA,'' );
      END IF;
      IF NVL(:NEW.IDPERLANCANTDP,' NULL') <> NVL(:OLD.IDPERLANCANTDP,' NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDPERLANCANTDP ' || ' ' || NVL(:NEW.IDPERLANCANTDP,'' );
      END IF;
      IF NVL(:NEW.NRDIAANTLANC,99999) <> NVL(:OLD.NRDIAANTLANC,99999) THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'NRDIAANTLANC ' || ' ' || NVL(:NEW.NRDIAANTLANC,'' );
      END IF;
      IF NVL(:NEW.IDPERLANCPOSDP,' NULL') <> NVL(:OLD.IDPERLANCPOSDP,' NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDPERLANCPOSDP ' || ' ' || NVL(:NEW.IDPERLANCPOSDP,'' );
      END IF;
      IF (NVL(:NEW.NRDIAPOSLANC,99999) <> NVL(:OLD.NRDIAPOSLANC,99999)) THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'NRDIAPOSLANC ' || ' ' || NVL(:NEW.NRDIAPOSLANC,'' );
      END IF;
      IF (NVL(:NEW.DTPROCVND,TO_DATE('01/01/0001','DD/MM/YYYY')) <> NVL(:OLD.DTPROCVND,TO_DATE('01/01/0001','DD/MM/YYYY')))THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'DTPROCVND ' || ' ' || NVL(:NEW.DTPROCVND,'' );
      END IF;
      
      /***************************************************/
      IF (NVL(:NEW.IDPERCADCONSFCXA,' NULL') <> NVL(:OLD.IDPERCADCONSFCXA,' NULL')) THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDPERCADCONSFCXA ' || ' ' || NVL(:NEW.IDPERCADCONSFCXA,'' );
      END IF;
      IF (NVL(:NEW.IDFILUTSITE,' NULL') <> NVL(:OLD.IDFILUTSITE,' NULL')) THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDFILUTSITE ' || ' ' || NVL(:NEW.IDFILUTSITE,'' );
      END IF;
      IF (NVL(:NEW.IDPARIMPRLIMVDC,' NULL') <> NVL(:OLD.IDPARIMPRLIMVDC,' NULL')) THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDPARIMPRLIMVDC ' || ' ' || NVL(:NEW.IDPARIMPRLIMVDC,'' );
      END IF;
      IF (NVL(:NEW.DSMD5FORSALE,' NULL') <> NVL(:OLD.DSMD5FORSALE,' NULL')) THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'DSMD5FORSALE ' || ' ' || NVL(:NEW.DSMD5FORSALE,'' );
      END IF;
      IF (NVL(:NEW.IDATUIDMCLI,' NULL') <> NVL(:OLD.IDATUIDMCLI,' NULL')) THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDATUIDMCLI ' || ' ' || NVL(:NEW.IDATUIDMCLI,'' );
      END IF;
      IF (NVL(:NEW.IDGERAARQXMLINT,' NULL') <> NVL(:OLD.IDGERAARQXMLINT,' NULL')) THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDGERAARQXMLINT ' || ' ' || NVL(:NEW.IDGERAARQXMLINT,'' );
      END IF;
      IF (NVL(:NEW.DSDIRARQXMLINT,' NULL') <> NVL(:OLD.DSDIRARQXMLINT,' NULL')) THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'DSDIRARQXMLINT ' || ' ' || NVL(:NEW.DSDIRARQXMLINT,'' );
      END IF;
      IF (NVL(:NEW.IDIMPBLOLANCNEG,' NULL') <> NVL(:OLD.IDIMPBLOLANCNEG,' NULL')) THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDIMPBLOLANCNEG ' || ' ' || NVL(:NEW.IDIMPBLOLANCNEG,'' );
      END IF;
      IF (NVL(:NEW.IDGERANFVENPROD,' NULL') <> NVL(:OLD.IDGERANFVENPROD,' NULL')) THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDGERANFVENPROD ' || ' ' || NVL(:NEW.IDGERANFVENPROD,'' );
      END IF;
      IF (NVL(:NEW.IDATUIDVCAT,' NULL') <> NVL(:OLD.IDATUIDVCAT,' NULL')) THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDATUIDVCAT ' || ' ' || NVL(:NEW.IDATUIDVCAT,'' );
      END IF;
      IF (NVL(:NEW.HRINI1DAYPART,' NULL') <> NVL(:OLD.HRINI1DAYPART,' NULL')) THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'HRINI1DAYPART ' || ' ' || NVL(:NEW.HRINI1DAYPART,'' );
      END IF;
      IF (NVL(:NEW.HRFIN1DAYPART,' NULL') <> NVL(:OLD.HRFIN1DAYPART,' NULL')) THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'HRFIN1DAYPART ' || ' ' || NVL(:NEW.HRFIN1DAYPART,'' );
      END IF;
      IF (NVL(:NEW.HRINI2DAYPART,' NULL') <> NVL(:OLD.HRINI2DAYPART,' NULL')) THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'HRINI2DAYPART ' || ' ' || NVL(:NEW.HRINI2DAYPART,'' );
      END IF;
      IF (NVL(:NEW.HRFIN2DAYPART,' NULL') <> NVL(:OLD.HRFIN2DAYPART,' NULL')) THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'HRFIN2DAYPART ' || ' ' || NVL(:NEW.HRFIN2DAYPART,'' );
      END IF;
      IF (NVL(:NEW.HRINI3DAYPART,' NULL') <> NVL(:OLD.HRINI3DAYPART,' NULL')) THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'HRINI3DAYPART ' || ' ' || NVL(:NEW.HRINI3DAYPART,'' );
      END IF;
      IF (NVL(:NEW.HRFIN3DAYPART,' NULL') <> NVL(:OLD.HRFIN3DAYPART,' NULL')) THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'HRFIN3DAYPART ' || ' ' || NVL(:NEW.HRFIN3DAYPART,'' );
      END IF;
      IF (NVL(:NEW.HRINI4DAYPART,' NULL') <> NVL(:OLD.HRINI4DAYPART,' NULL')) THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'HRINI4DAYPART ' || ' ' || NVL(:NEW.HRINI4DAYPART,'' );
      END IF;
      IF (NVL(:NEW.HRFIN4DAYPART,' NULL') <> NVL(:OLD.HRFIN4DAYPART,' NULL')) THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'HRFIN4DAYPART ' || ' ' || NVL(:NEW.HRFIN4DAYPART,'' );
      END IF;
      IF (NVL(:NEW.CDINTEGRADOTZ,' NULL') <> NVL(:OLD.CDINTEGRADOTZ,' NULL')) THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'CDINTEGRADOTZ ' || ' ' || NVL(:NEW.CDINTEGRADOTZ,'' );
      END IF;
      IF (NVL(:NEW.IDTPAPUFIL,' NULL') <> NVL(:OLD.IDTPAPUFIL,' NULL')) THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDTPAPUFIL ' || ' ' || NVL(:NEW.IDTPAPUFIL,'' );
      END IF;
      IF (NVL(:NEW.NRDIAFECHAFOLHA,' NULL') <> NVL(:OLD.NRDIAFECHAFOLHA,' NULL')) THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'NRDIAFECHAFOLHA ' || ' ' || NVL(:NEW.NRDIAFECHAFOLHA,'' );
      END IF;
      IF (NVL(:NEW.IDEXCONSATFIL,' NULL') <> NVL(:OLD.IDEXCONSATFIL,' NULL')) THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDEXCONSATFIL ' || ' ' || NVL(:NEW.IDEXCONSATFIL,'' );
      END IF;
      IF (NVL(:NEW.DSDIRARQDOTZ,' NULL') <> NVL(:OLD.DSDIRARQDOTZ,' NULL')) THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'DSDIRARQDOTZ ' || ' ' || NVL(:NEW.DSDIRARQDOTZ,'' );
      END IF;
      
      IF (NVL(:NEW.NRCERTDIGNFCE,' NULL') <> NVL(:OLD.NRCERTDIGNFCE,' NULL')) THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'NRCERTDIGNFCE ' || ' ' || NVL(:NEW.NRCERTDIGNFCE,'' );
      END IF;
      IF (NVL(:NEW.IDCANCEXTNFCE,' NULL') <> NVL(:OLD.IDCANCEXTNFCE,' NULL')) THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDCANCEXTNFCE ' || ' ' || NVL(:NEW.IDCANCEXTNFCE,'' );
      END IF;
      IF (NVL(:NEW.IDGERALOGNFCE,' NULL') <> NVL(:OLD.IDGERALOGNFCE,' NULL')) THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDGERALOGNFCE ' || ' ' || NVL(:NEW.IDGERALOGNFCE,'' );
      END IF;
      IF (NVL(:NEW.DSDIRARQLOGNFCE,' NULL') <> NVL(:OLD.DSDIRARQLOGNFCE,' NULL')) THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'DSDIRARQLOGNFCE ' || ' ' || NVL(:NEW.DSDIRARQLOGNFCE,'' );
      END IF;
      IF (NVL(:NEW.IDTPTAXAROYA,' NULL') <> NVL(:OLD.IDTPTAXAROYA,' NULL')) THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDTPTAXAROYA ' || ' ' || NVL(:NEW.IDTPTAXAROYA,'' );
      END IF;
      IF (NVL(:NEW.IDTPTAXAMARK,' NULL') <> NVL(:OLD.IDTPTAXAMARK,' NULL')) THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDTPTAXAMARK ' || ' ' || NVL(:NEW.IDTPTAXAMARK,'' );
      END IF;
      IF (NVL(:NEW.DTFECHAFRANQ,' NULL') <> NVL(:OLD.DTFECHAFRANQ,' NULL')) THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'DTFECHAFRANQ ' || ' ' || NVL(:NEW.DTFECHAFRANQ,'' );
      END IF;      
      IF (NVL(:NEW.TPVENCNF,' NULL') <> NVL(:OLD.TPVENCNF,' NULL')) THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'TPVENCNF ' || ' ' || NVL(:NEW.TPVENCNF,'' );
      END IF;
      IF (NVL(:NEW.DIAVENCNF,' NULL') <> NVL(:OLD.DIAVENCNF,' NULL')) THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'DIAVENCNF ' || ' ' || NVL(:NEW.DIAVENCNF,'' );
      END IF;
      IF (NVL(:NEW.CDCLIFRAN,' NULL') <> NVL(:OLD.CDCLIFRAN,' NULL')) THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'CDCLIFRAN ' || ' ' || NVL(:NEW.CDCLIFRAN,'' );
      END IF;
      IF (NVL(:NEW.NMRAZSOCCLIEFRAN,' NULL') <> NVL(:OLD.NMRAZSOCCLIEFRAN,' NULL')) THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'NMRAZSOCCLIEFRAN ' || ' ' || NVL(:NEW.NMRAZSOCCLIEFRAN,'' );
      END IF;
      IF (NVL(:NEW.CDPRODUTOROY,' NULL') <> NVL(:OLD.CDPRODUTOROY,' NULL')) THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'CDPRODUTOROY ' || ' ' || NVL(:NEW.CDPRODUTOROY,'' );
      END IF;
      IF (NVL(:NEW.NMPRODUTOROY,' NULL') <> NVL(:OLD.NMPRODUTOROY,' NULL')) THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'NMPRODUTOROY ' || ' ' || NVL(:NEW.NMPRODUTOROY,'' );
      END IF;
      IF (NVL(:NEW.CDPRODUTOMAR,' NULL') <> NVL(:OLD.CDPRODUTOMAR,' NULL')) THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'CDPRODUTOMAR ' || ' ' || NVL(:NEW.CDPRODUTOMAR,'' );
      END IF;
      IF (NVL(:NEW.NMPRODUTOMAR,' NULL') <> NVL(:OLD.NMPRODUTOMAR,' NULL')) THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'NMPRODUTOMAR ' || ' ' || NVL(:NEW.NMPRODUTOMAR,'' );
      END IF;
      IF (NVL(:NEW.CDSERIEFRAN,' NULL') <> NVL(:OLD.CDSERIEFRAN,' NULL')) THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'CDSERIEFRAN ' || ' ' || NVL(:NEW.CDSERIEFRAN,'' );
      END IF;
      IF (NVL(:NEW.DSSERIEFRAN,' NULL') <> NVL(:OLD.DSSERIEFRAN,' NULL')) THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'DSSERIEFRAN ' || ' ' || NVL(:NEW.DSSERIEFRAN,'' );
      END IF;
      IF (NVL(:NEW.CDTIPOOPERFRAN,' NULL') <> NVL(:OLD.CDTIPOOPERFRAN,' NULL')) THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'CDTIPOOPERFRAN ' || ' ' || NVL(:NEW.CDTIPOOPERFRAN,'' );
      END IF;
      IF (NVL(:NEW.NMTIPOOPERFRAN,' NULL') <> NVL(:OLD.NMTIPOOPERFRAN,' NULL')) THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'NMTIPOOPERFRAN ' || ' ' || NVL(:NEW.NMTIPOOPERFRAN,'' );
      END IF;
      IF (NVL(:NEW.IDUTILCONTAB,' NULL') <> NVL(:OLD.IDUTILCONTAB,' NULL')) THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDUTILCONTAB ' || ' ' || NVL(:NEW.IDUTILCONTAB,'' );
      END IF;
      IF (NVL(:NEW.IDCONCREDDF,' NULL') <> NVL(:OLD.IDCONCREDDF,' NULL')) THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDCONCREDDF ' || ' ' || NVL(:NEW.IDCONCREDDF,'' );
      END IF;
      IF (NVL(:NEW.IDETIQZEBRA,' NULL') <> NVL(:OLD.IDETIQZEBRA,' NULL')) THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDETIQZEBRA ' || ' ' || NVL(:NEW.IDETIQZEBRA,'' );
      END IF;
      IF (NVL(:NEW.NRDIAVALTURCAIX,' NULL') <> NVL(:OLD.NRDIAVALTURCAIX,' NULL')) THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'NRDIAVALTURCAIX ' || ' ' || NVL(:NEW.NRDIAVALTURCAIX,'' );
      END IF;
      IF (NVL(:NEW.IDBLOQCONSOLIDA,' NULL') <> NVL(:OLD.IDBLOQCONSOLIDA,' NULL')) THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDBLOQCONSOLIDA ' || ' ' || NVL(:NEW.IDBLOQCONSOLIDA,'' );
      END IF;
      IF (NVL(:NEW.IDCONSISTECONSO,' NULL') <> NVL(:OLD.IDCONSISTECONSO,' NULL')) THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDCONSISTECONSO ' || ' ' || NVL(:NEW.IDCONSISTECONSO,'' );
      END IF;
      IF (NVL(:NEW.IDINTHOTEL,' NULL') <> NVL(:OLD.IDINTHOTEL,' NULL')) THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDINTHOTEL ' || ' ' || NVL(:NEW.IDINTHOTEL,'' );
      END IF;
      IF (NVL(:NEW.DSSTRINGHOTEL,' NULL') <> NVL(:OLD.DSSTRINGHOTEL,' NULL')) THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'DSSTRINGHOTEL ' || ' ' || NVL(:NEW.DSSTRINGHOTEL,'' );
      END IF;
      
      IF (NVL(:NEW.CDVENDEDOR,' NULL') <> NVL(:OLD.CDVENDEDOR,' NULL')) THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'CDVENDEDOR ' || ' ' || NVL(:NEW.CDVENDEDOR,'' );
      END IF;
      IF (NVL(:NEW.IDAGRUPVALORCLI,' NULL') <> NVL(:OLD.IDAGRUPVALORCLI,' NULL')) THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDAGRUPVALORCLI ' || ' ' || NVL(:NEW.IDAGRUPVALORCLI,'' );
      END IF;
      IF (NVL(:NEW.CDIDTOKENHOMO,' NULL') <> NVL(:OLD.CDIDTOKENHOMO,' NULL')) THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'CDIDTOKENHOMO ' || ' ' || NVL(:NEW.CDIDTOKENHOMO,'' );
      END IF;
      IF (NVL(:NEW.CDIDTOKENPROD,' NULL') <> NVL(:OLD.CDIDTOKENPROD,' NULL')) THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'CDIDTOKENPROD ' || ' ' || NVL(:NEW.CDIDTOKENPROD,'' );
      END IF;
      IF (NVL(:NEW.CDTIPORETI,' NULL') <> NVL(:OLD.CDTIPORETI,' NULL')) THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'CDTIPORETI ' || ' ' || NVL(:NEW.CDTIPORETI,'' );
      END IF;
      IF (NVL(:NEW.CDAJDIFTXADMREC,' NULL') <> NVL(:OLD.CDAJDIFTXADMREC,' NULL')) THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'CDAJDIFTXADMREC ' || ' ' || NVL(:NEW.CDAJDIFTXADMREC,'' );
      END IF;
      IF (NVL(:NEW.DSRECOMENDNUTRI,' NULL') <> NVL(:OLD.DSRECOMENDNUTRI,' NULL')) THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'DSRECOMENDNUTRI ' || ' ' || NVL(:NEW.DSRECOMENDNUTRI,'' );
      END IF;
      IF (NVL(:NEW.NRTAMARQXML,' NULL') <> NVL(:OLD.NRTAMARQXML,' NULL')) THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'NRTAMARQXML ' || ' ' || NVL(:NEW.NRTAMARQXML,'' );
      END IF;
      IF (NVL(:NEW.CDTPAJUSANGRACR,' NULL') <> NVL(:OLD.CDTPAJUSANGRACR,' NULL')) THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'CDTPAJUSANGRACR ' || ' ' || NVL(:NEW.CDTPAJUSANGRACR,'' );
      END IF;
      IF (NVL(:NEW.CDTPAJUSANGRRED,' NULL') <> NVL(:OLD.CDTPAJUSANGRRED,' NULL')) THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'CDTPAJUSANGRRED ' || ' ' || NVL(:NEW.CDTPAJUSANGRRED,'' );
      END IF;      
      IF (NVL(:NEW.IDLOJAESITEFFIL,' NULL') <> NVL(:OLD.IDLOJAESITEFFIL,' NULL')) THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDLOJAESITEFFIL ' || ' ' || NVL(:NEW.IDLOJAESITEFFIL,'' );
      END IF;
      IF (NVL(:NEW.CDLOJAESITEFFIL,' NULL') <> NVL(:OLD.CDLOJAESITEFFIL,' NULL')) THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'CDLOJAESITEFFIL ' || ' ' || NVL(:NEW.CDLOJAESITEFFIL,'' );
      END IF;      
      IF (NVL(:NEW.IDPREVALIDCUPOM,' NULL') <> NVL(:OLD.IDPREVALIDCUPOM,' NULL')) THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDPREVALIDCUPOM ' || ' ' || NVL(:NEW.IDPREVALIDCUPOM,'' );
      END IF;
      IF (NVL(:NEW.IDPERMANUTVEN,' NULL') <> NVL(:OLD.IDPERMANUTVEN,' NULL')) THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDPERMANUTVEN ' || ' ' || NVL(:NEW.IDPERMANUTVEN,'' );
      END IF;
      IF (NVL(:NEW.NRSEGLIMPEZATAA,' NULL') <> NVL(:OLD.NRSEGLIMPEZATAA,' NULL')) THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'NRSEGLIMPEZATAA ' || ' ' || NVL(:NEW.NRSEGLIMPEZATAA,'' );
      END IF;
      IF (NVL(:NEW.IDCPFPINPAD,' NULL') <> NVL(:OLD.IDCPFPINPAD,' NULL')) THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDCPFPINPAD ' || ' ' || NVL(:NEW.IDCPFPINPAD,'' );
      END IF;  
      IF (NVL(:NEW.IDINFOCPFPINPAD,' NULL') <> NVL(:OLD.IDINFOCPFPINPAD,' NULL')) THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDINFOCPFPINPAD ' || ' ' || NVL(:NEW.IDINFOCPFPINPAD,'' );
      END IF;
      IF (NVL(:NEW.IDIMPLOGONF,' NULL') <> NVL(:OLD.IDIMPLOGONF,' NULL')) THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDIMPLOGONF ' || ' ' || NVL(:NEW.IDIMPLOGONF,'' );
      END IF;
      IF (NVL(:NEW.NRPOSNVBEMA,' NULL') <> NVL(:OLD.NRPOSNVBEMA,' NULL')) THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'NRPOSNVBEMA ' || ' ' || NVL(:NEW.NRPOSNVBEMA,'' );
      END IF;
      IF (NVL(:NEW.NRPOSNV2EPSON,' NULL') <> NVL(:OLD.NRPOSNV2EPSON,' NULL')) THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'NRPOSNV2EPSON ' || ' ' || NVL(:NEW.NRPOSNV2EPSON,'' );
      END IF;
      IF (NVL(:NEW.NRPOSNV1EPSON,' NULL') <> NVL(:OLD.NRPOSNV1EPSON,' NULL')) THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'NRPOSNV1EPSON ' || ' ' || NVL(:NEW.NRPOSNV1EPSON,'' );
      END IF;
      IF (NVL(:NEW.IDCONSCAMPFIDEL,' NULL') <> NVL(:OLD.IDCONSCAMPFIDEL,' NULL')) THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDCONSCAMPFIDEL ' || ' ' || NVL(:NEW.IDCONSCAMPFIDEL,'' );
      END IF;
      IF (NVL(:NEW.IDUTLIBERAPROV,' NULL') <> NVL(:OLD.IDUTLIBERAPROV,' NULL')) THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDUTLIBERAPROV ' || ' ' || NVL(:NEW.IDUTLIBERAPROV,'' );
      END IF;
      IF (NVL(:NEW.IDUTFECHAUTO,' NULL') <> NVL(:OLD.IDUTFECHAUTO,' NULL')) THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDUTFECHAUTO ' || ' ' || NVL(:NEW.IDUTFECHAUTO,'' );
      END IF;
      IF (NVL(:NEW.IDFECHACUPOM,' NULL') <> NVL(:OLD.IDFECHACUPOM,' NULL')) THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDFECHACUPOM ' || ' ' || NVL(:NEW.IDFECHACUPOM,'' );
      END IF;
      IF (NVL(:NEW.IDIMPTXSERV,' NULL') <> NVL(:OLD.IDIMPTXSERV,' NULL')) THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDIMPTXSERV ' || ' ' || NVL(:NEW.IDIMPTXSERV,'' );
      END IF;
      IF (NVL(:NEW.QTDMAXDIGNSU,' NULL') <> NVL(:OLD.QTDMAXDIGNSU,' NULL')) THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'QTDMAXDIGNSU ' || ' ' || NVL(:NEW.QTDMAXDIGNSU,'' );
      END IF;
      IF (NVL(:NEW.IDUTLQTDPED,' NULL') <> NVL(:OLD.IDUTLQTDPED,' NULL')) THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDUTLQTDPED ' || ' ' || NVL(:NEW.IDUTLQTDPED,'' );
      END IF;
      IF (NVL(:NEW.DSARQXMLCATR,' NULL') <> NVL(:OLD.DSARQXMLCATR,' NULL')) THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'DSARQXMLCATR ' || ' ' || NVL(:NEW.DSARQXMLCATR,'' );
      END IF;
      IF (NVL(:NEW.IDAGRUITEMVEN,' NULL') <> NVL(:OLD.IDAGRUITEMVEN,' NULL')) THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDAGRUITEMVEN ' || ' ' || NVL(:NEW.IDAGRUITEMVEN,'' );
      END IF;
      IF NVL(:NEW.VRCONSMAXPER,99999) <> NVL(:OLD.VRCONSMAXPER,99999) THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'VRCONSMAXPER ' || ' ' || NVL(:NEW.VRCONSMAXPER,'' );
      END IF;
      
      IF NVL(:NEW.NRTEMPMAXENTR,99999) <> NVL(:OLD.NRTEMPMAXENTR,99999) THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'NRTEMPMAXENTR ' || ' ' || NVL(:NEW.NRTEMPMAXENTR,'' );
      END IF;
      IF (NVL(:NEW.VRPERCROYALT,99999) <> NVL(:OLD.VRPERCROYALT,99999)) THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'VRPERCROYALT ' || ' ' || NVL(:NEW.VRPERCROYALT,'' );
      END IF;
      IF (NVL(:NEW.VRFIXOROYALT,99999) <> NVL(:OLD.VRFIXOROYALT,99999)) THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDATUIDMCLI ' || ' ' || NVL(:NEW.VRFIXOROYALT,'' );
      END IF;
      IF (NVL(:NEW.VRPERCMARKET,99999) <> NVL(:OLD.VRPERCMARKET,99999)) THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'VRPERCMARKET ' || ' ' || NVL(:NEW.VRPERCMARKET,'' );
      END IF;
      IF (NVL(:NEW.VRFIXOMARKET,99999) <> NVL(:OLD.VRFIXOMARKET,99999)) THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'VRFIXOMARKET ' || ' ' || NVL(:NEW.VRFIXOMARKET,'' );
      END IF;
      IF (NVL(:NEW.NRATRAPADRAO,99999) <> NVL(:OLD.NRATRAPADRAO,99999)) THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'NRATRAPADRAO ' || ' ' || NVL(:NEW.NRATRAPADRAO,'' );
      END IF;

      IF (NVL(:NEW.IDCONDESCTXSERV,' NULL') <> NVL(:OLD.IDCONDESCTXSERV,' NULL')) THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDCONDESCTXSERV ' || ' ' || NVL(:NEW.IDCONDESCTXSERV,'' );
      END IF;

      IF (NVL(:NEW.IDPREVDSALDO,' NULL') <> NVL(:OLD.IDPREVDSALDO,' NULL')) THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDPREVDSALDO ' || ' ' || NVL(:NEW.IDPREVDSALDO,'' );
      END IF;

      IF (NVL(:NEW.IDCONSDESCTXSERV,' NULL') <> NVL(:OLD.IDCONSDESCTXSERV,' NULL')) THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDCONSDESCTXSERV ' || ' ' || NVL(:NEW.IDCONSDESCTXSERV,'' );
      END IF;

      IF (NVL(:NEW.IDEXIBESTATIS,' NULL') <> NVL(:OLD.IDEXIBESTATIS,' NULL')) THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDEXIBESTATIS ' || ' ' || NVL(:NEW.IDEXIBESTATIS,'' );
      END IF;

      /**/
      V_ITPESQ := :NEW.CDFILIAL||:NEW.CDPARAVEND;
      V_IDTIPOOPER := '2';
   ELSE
      IF INSERTING THEN
         IF :NEW.CDFILIAL IS NOT NULL THEN 
            V_DESC := ' ' || 'Filial' || NVL(:NEW.CDFILIAL,'' );
         END IF;
         IF :NEW.CDPARAVEND IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'CDPARAVEND ' || ' ' || NVL(:NEW.CDPARAVEND,'' );
         END IF;
         IF :NEW.CDPRODUTO IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'CDPRODUTO ' || ' ' || NVL(:NEW.CDPRODUTO,'' );
         END IF;
         IF :NEW.CDCLIENTE IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'Cliente ' || ' ' || NVL(:NEW.CDCLIENTE,'' );
         END IF;
         IF :NEW.NMULTIMOTXT IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'NMULTIMOTXT ' || ' ' || NVL(:NEW.NMULTIMOTXT,'' );
         END IF;
         IF :NEW.IDCONSUMIOBR IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDCONSUMIOBR ' || ' ' || NVL(:NEW.IDCONSUMIOBR,'' );
         END IF;
         IF :NEW.QTDIGCDIDCON IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'QTDIGCDIDCON ' || ' ' || NVL(:NEW.QTDIGCDIDCON,'' );
         END IF;
         IF :NEW.CDDIGCDIDCON IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'CDDIGCDIDCON ' || ' ' || NVL(:NEW.CDDIGCDIDCON,'' );
         END IF;
         IF :NEW.IDATUEST IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDATUEST ' || ' ' || NVL(:NEW.IDATUEST,'' );
         END IF;
         IF :NEW.CDSERVFILI IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'CDSERVFILI ' || ' ' || NVL(:NEW.CDSERVFILI,'' );
         END IF;
         IF :NEW.IDSERVPAD IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDSERVPAD ' || ' ' || NVL(:NEW.IDSERVPAD,'' );
         END IF;
         IF :NEW.IDIMPCUPFIS IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDIMPCUPFIS ' || ' ' || NVL(:NEW.IDIMPCUPFIS,'' );
         END IF;
         IF :NEW.CDEMPRESA IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'CDEMPRESA ' || ' ' || NVL(:NEW.CDEMPRESA,'' );
         END IF;
         IF :NEW.CDINSCESTA IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'CDINSCESTA ' || ' ' || NVL(:NEW.CDINSCESTA,'' );
         END IF;
         IF :NEW.CDINSCMUNI IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'CDINSCMUNI ' || ' ' || NVL(:NEW.CDINSCMUNI,'' );
         END IF;
         IF :NEW.CDSERIE IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'CDSERIE ' || ' ' || NVL(:NEW.CDSERIE,'' );
         END IF;
         IF :NEW.CDTABEPREC IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'CDTABEPREC ' || ' ' || NVL(:NEW.CDTABEPREC,'' );
         END IF;
         IF :NEW.IDFORMAPRECO IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'CDTABEPREC ' || ' ' || NVL(:NEW.CDTABEPREC,'' );
         END IF;
         IF :NEW.IDCUSFOPRECO IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDCUSFOPRECO ' || ' ' || NVL(:NEW.IDCUSFOPRECO,'' );
         END IF;
         IF :NEW.IDPRECDIFCOM IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDPRECDIFCOM ' || ' ' || NVL(:NEW.IDPRECDIFCOM,'' );
         END IF;
         IF :NEW.IDORIGVENDA IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDORIGVENDA ' || ' ' || NVL(:NEW.IDORIGVENDA,'' );
         END IF;
         IF :NEW.NRDIAFATVEND IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'NRDIAFATVEND ' || ' ' || NVL(:NEW.NRDIAFATVEND,'' );
         END IF;
         IF :NEW.IDPERDIGCONS IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDPERDIGCONS ' || ' ' || NVL(:NEW.IDPERDIGCONS,'' );
         END IF;
         IF :NEW.CDLOJA IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'Loja ' || ' ' || NVL(:NEW.CDLOJA,'' );
         END IF;
         IF :NEW.NRDIASVENDA IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'NRDIASVENDA ' || ' ' || NVL(:NEW.NRDIASVENDA,'' );
         END IF;
         IF :NEW.IDTESESTCONS IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDTESESTCONS ' || ' ' || NVL(:NEW.IDTESESTCONS,'' );
         END IF;
         IF :NEW.IDCRIPTOCONS IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDCRIPTOCONS ' || ' ' || NVL(:NEW.IDCRIPTOCONS,'' );
         END IF;
         IF :NEW.QTDIGICOMAND IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'QTDIGICOMAND ' || ' ' || NVL(:NEW.QTDIGICOMAND,'' );
         END IF;
         IF :NEW.CDTIPOCONS IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'CDTIPOCONS ' || ' ' || NVL(:NEW.CDTIPOCONS,'' );
         END IF;
         IF :NEW.CDCCUSCLIE IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'CDCCUSCLIE ' || ' ' || NVL(:NEW.CDCCUSCLIE,'' );
         END IF;
         IF :NEW.IDPERMARCDUP IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDPERMARCDUP ' || ' ' || NVL(:NEW.IDPERMARCDUP,'' );
         END IF;
         IF :NEW.IDALTPRECO IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDALTPRECO ' || ' ' || NVL(:NEW.IDALTPRECO,'' );
         END IF;
         IF :NEW.CDTPCONSDUP IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'CDTPCONSDUP ' || ' ' || NVL(:NEW.CDTPCONSDUP,'' );
         END IF;
         IF :NEW.CDGRPRODPDV IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'CDGRPRODPDV ' || ' ' || NVL(:NEW.CDGRPRODPDV,'' );
         END IF;
         IF :NEW.NRPOSINICONS IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'NRPOSINICONS ' || ' ' || NVL(:NEW.NRPOSINICONS,'' );
         END IF;
         IF :NEW.NRPOSFINCONS IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'NRPOSFINCONS ' || ' ' || NVL(:NEW.NRPOSFINCONS,'' );
         END IF;
         IF :NEW.IDUTDLLEXSEG IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDUTDLLEXSEG ' || ' ' || NVL(:NEW.IDUTDLLEXSEG,'' );
         END IF;
         IF :NEW.CDPDVDLLSEG IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'CDPDVDLLSEG ' || ' ' || NVL(:NEW.CDPDVDLLSEG,'' );
         END IF;
         IF :NEW.CDPOODLLSEG IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'CDPOODLLSEG ' || ' ' || NVL(:NEW.CDPOODLLSEG,'' );
         END IF;
         IF :NEW.CDCXADLLSEG IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'CDCXADLLSEG ' || ' ' || NVL(:NEW.CDCXADLLSEG,'' );
         END IF;
         IF :NEW.QTMEDVENDDIA IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'QTMEDVENDDIA ' || ' ' || NVL(:NEW.QTMEDVENDDIA,'' );
         END IF;
         IF :NEW.IDUTSUBTCONS IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDUTSUBTCONS ' || ' ' || NVL(:NEW.IDUTSUBTCONS,'' );
         END IF;
         IF :NEW.CDCAIXACTRL IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'CDCAIXACTRL ' || ' ' || NVL(:NEW.CDCAIXACTRL,'' );
         END IF;
         IF :NEW.VRPEEMITROCO IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'VRPEEMITROCO ' || ' ' || NVL(:NEW.VRPEEMITROCO,'' );
         END IF;
         IF :NEW.CDFORMATCOD IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'CDFORMATCOD ' || ' ' || NVL(:NEW.CDFORMATCOD,'' );
         END IF;
         IF :NEW.NRPOSINIOPT IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'NRPOSINIOPT ' || ' ' || NVL(:NEW.NRPOSINIOPT,'' );
         END IF;
         IF :NEW.NRPOSFIMOPT IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'NRPOSFIMOPT ' || ' ' || NVL(:NEW.NRPOSFIMOPT,'' );
         END IF;
         IF :NEW.DTULTATUPAVN IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'DTULTATUPAVN ' || ' ' || NVL(:NEW.DTULTATUPAVN,'' );
         END IF;
         IF :NEW.DTINICONSTOT IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'DTINICONSTOT ' || ' ' || NVL(:NEW.DTINICONSTOT,'' );
         END IF;
         IF :NEW.IDTIPMAPRESU IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDTIPMAPRESU ' || ' ' || NVL(:NEW.IDTIPMAPRESU,'' );
         END IF;
         IF :NEW.IDENTRSAIDOP IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDENTRSAIDOP ' || ' ' || NVL(:NEW.IDENTRSAIDOP,'' );
         END IF;
         IF :NEW.CDTIPOOPER IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'CDTIPOOPER ' || ' ' || NVL(:NEW.CDTIPOOPER,'' );
         END IF;
         IF :NEW.IDACRIMPOSTO IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDACRIMPOSTO ' || ' ' || NVL(:NEW.IDACRIMPOSTO,'' );
         END IF;
         IF :NEW.CDOPERADOR IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'OPERADOR ' || ' ' || NVL(:NEW.CDOPERADOR,'' );
         END IF;
         IF :NEW.CDPRODTAXSER IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'CDPRODTAXSER ' || ' ' || NVL(:NEW.CDPRODTAXSER,'' );
         END IF;
         IF :NEW.CDFILIALEXT IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'CDFILIALEXT ' || ' ' || NVL(:NEW.CDFILIALEXT,'' );
         END IF;
         IF :NEW.CDVERBACONS IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'CDVERBACONS ' || ' ' || NVL(:NEW.CDVERBACONS,'' );
         END IF;
         IF :NEW.CDVERBAEXCE IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'CDVERBAEXCE ' || ' ' || NVL(:NEW.CDVERBAEXCE,'' );
         END IF;
         IF :NEW.IDCALCVREXCE IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDCALCVREXCE ' || ' ' || NVL(:NEW.IDCALCVREXCE,'' );
         END IF;
         IF :NEW.VRREFNEGCLIE IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'VRREFNEGCLIE ' || ' ' || NVL(:NEW.VRREFNEGCLIE,'' );
         END IF;
         IF :NEW.IDSALDOINICUPOM IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDSALDOINICUPOM ' || ' ' || NVL(:NEW.IDSALDOINICUPOM,'' );
         END IF;
         IF :NEW.IDPREVCONSPDV IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDPREVCONSPDV ' || ' ' || NVL(:NEW.IDPREVCONSPDV,'' );
         END IF;
         IF :NEW.CDSERIECNTREC IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'CDSERIECNTREC ' || ' ' || NVL(:NEW.CDSERIECNTREC,'' );
         END IF;
         IF :NEW.CDTPOPERCNTREC IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'CDTPOPERCNTREC ' || ' ' || NVL(:NEW.CDTPOPERCNTREC,'' );
         END IF;
         IF :NEW.CDREDUCONT IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'CDREDUCONT ' || ' ' || NVL(:NEW.CDREDUCONT,'' );
         END IF;
         IF :NEW.CDTPBAIXAREC IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'CDTPBAIXAREC ' || ' ' || NVL(:NEW.CDTPBAIXAREC,'' );
         END IF;
         IF :NEW.IDGERACAOTC IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDGERACAOTC ' || ' ' || NVL(:NEW.IDGERACAOTC,'' );
         END IF;
         IF :NEW.IDIMPSALDOCUPOM IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDIMPSALDOCUPOM ' || ' ' || NVL(:NEW.IDIMPSALDOCUPOM,'' );
         END IF;
         IF :NEW.IDPERCONVESTNEG IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDPERCONVESTNEG ' || ' ' || NVL(:NEW.IDPERCONVESTNEG,'' );
         END IF;
         IF :NEW.IDUTILMODPROD IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDUTILMODPROD ' || ' ' || NVL(:NEW.IDUTILMODPROD,'' );
         END IF;
         IF :NEW.NRDIASVERMOVCLI IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'NRDIASVERMOVCLI ' || ' ' || NVL(:NEW.NRDIASVERMOVCLI,'' );
         END IF;
         IF :NEW.IDUTCONFCADCONS IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDUTCONFCADCONS ' || ' ' || NVL(:NEW.IDUTCONFCADCONS,'' );
         END IF;
         IF :NEW.IDRECBOLETBANC IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDRECBOLETBANC ' || ' ' || NVL(:NEW.IDRECBOLETBANC,'' );
         END IF;
         IF :NEW.IDRECBANCOITAU IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDRECBANCOITAU ' || ' ' || NVL(:NEW.IDRECBANCOITAU,'' );
         END IF;
         IF :NEW.IDRECBANCOBRADE IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDRECBANCOBRADE ' || ' ' || NVL(:NEW.IDRECBANCOBRADE,'' );
         END IF;
         IF :NEW.IDCONSREDZMECF IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDCONSREDZMECF ' || ' ' || NVL(:NEW.IDCONSREDZMECF,'' );
         END IF;
         IF :NEW.IDCONSTCFECDIA IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDCONSTCFECDIA ' || ' ' || NVL(:NEW.IDCONSTCFECDIA,'' );
         END IF;
         IF :NEW.IDPERLANCANTDP IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDPERLANCANTDP ' || ' ' || NVL(:NEW.IDPERLANCANTDP,'' );
         END IF;
         IF :NEW.NRDIAANTLANC IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'NRDIAANTLANC ' || ' ' || NVL(:NEW.NRDIAANTLANC,'' );
         END IF;
         IF :NEW.IDPERLANCPOSDP IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDPERLANCPOSDP ' || ' ' || NVL(:NEW.IDPERLANCPOSDP,'' );
         END IF;
         IF :NEW.NRDIAPOSLANC IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'NRDIAPOSLANC ' || ' ' || NVL(:NEW.NRDIAPOSLANC,'' );
         END IF;
         IF :NEW.DTPROCVND IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'DTPROCVND ' || ' ' || NVL(:NEW.DTPROCVND,'' );
         END IF;

         /*********************************************************************/

                  IF :NEW.IDPERCADCONSFCXA IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDPERCADCONSFCXA ' || ' ' || NVL(:NEW.IDPERCADCONSFCXA,'' );
         END IF;
         IF :NEW.IDFILUTSITE IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDFILUTSITE ' || ' ' || NVL(:NEW.IDFILUTSITE,'' );
         END IF;
         IF :NEW.IDPARIMPRLIMVDC IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDPARIMPRLIMVDC ' || ' ' || NVL(:NEW.IDPARIMPRLIMVDC,'' );
         END IF;
         IF :NEW.DSMD5FORSALE IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'DSMD5FORSALE ' || ' ' || NVL(:NEW.DSMD5FORSALE,'' );
         END IF;
         IF :NEW.IDATUIDMCLI IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDATUIDMCLI ' || ' ' || NVL(:NEW.IDATUIDMCLI,'' );
         END IF;
         IF :NEW.IDGERAARQXMLINT IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDGERAARQXMLINT ' || ' ' || NVL(:NEW.IDGERAARQXMLINT,'' );
         END IF;
         IF :NEW.DSDIRARQXMLINT IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'DSDIRARQXMLINT ' || ' ' || NVL(:NEW.DSDIRARQXMLINT,'' );
         END IF;
         IF :NEW.IDIMPBLOLANCNEG IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDIMPBLOLANCNEG ' || ' ' || NVL(:NEW.IDIMPBLOLANCNEG,'' );
         END IF;
         IF :NEW.IDGERANFVENPROD IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDGERANFVENPROD ' || ' ' || NVL(:NEW.IDGERANFVENPROD,'' );
         END IF;
         IF :NEW.IDATUIDVCAT IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDATUIDVCAT ' || ' ' || NVL(:NEW.IDATUIDVCAT,'' );
         END IF;
         IF :NEW.HRINI1DAYPART IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'HRINI1DAYPART ' || ' ' || NVL(:NEW.HRINI1DAYPART,'' );
         END IF;
         IF :NEW.HRFIN1DAYPART IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'HRFIN1DAYPART ' || ' ' || NVL(:NEW.HRFIN1DAYPART,'' );
         END IF;
         IF :NEW.HRINI2DAYPART IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'HRINI2DAYPART ' || ' ' || NVL(:NEW.HRINI2DAYPART,'' );
         END IF;
         IF :NEW.HRFIN2DAYPART IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'HRFIN2DAYPART ' || ' ' || NVL(:NEW.HRFIN2DAYPART,'' );
         END IF;
         IF :NEW.HRINI3DAYPART IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'HRINI3DAYPART ' || ' ' || NVL(:NEW.HRINI3DAYPART,'' );
         END IF;
         IF :NEW.HRFIN3DAYPART IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'HRFIN3DAYPART ' || ' ' || NVL(:NEW.HRFIN3DAYPART,'' );
         END IF;
         IF :NEW.HRINI4DAYPART IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'HRINI4DAYPART ' || ' ' || NVL(:NEW.HRINI4DAYPART,'' );
         END IF;
         IF :NEW.HRFIN4DAYPART IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'HRFIN4DAYPART ' || ' ' || NVL(:NEW.HRFIN4DAYPART,'' );
         END IF;
         IF :NEW.CDINTEGRADOTZ IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'CDINTEGRADOTZ ' || ' ' || NVL(:NEW.CDINTEGRADOTZ,'' );
         END IF;
         IF :NEW.IDTPAPUFIL IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDTPAPUFIL ' || ' ' || NVL(:NEW.IDTPAPUFIL,'' );
         END IF;
         IF :NEW.NRDIAFECHAFOLHA IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'NRDIAFECHAFOLHA ' || ' ' || NVL(:NEW.NRDIAFECHAFOLHA,'' );
         END IF;
         IF :NEW.IDEXCONSATFIL IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDEXCONSATFIL ' || ' ' || NVL(:NEW.IDEXCONSATFIL,'' );
         END IF;
         IF :NEW.DSDIRARQDOTZ IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'DSDIRARQDOTZ ' || ' ' || NVL(:NEW.DSDIRARQDOTZ,'' );
         END IF;
         IF :NEW.IDAMBTRABNFCE IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDAMBTRABNFCE ' || ' ' || NVL(:NEW.IDAMBTRABNFCE,'' );
         END IF;
         IF :NEW.NRCERTDIGNFCE IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'NRCERTDIGNFCE ' || ' ' || NVL(:NEW.NRCERTDIGNFCE,'' );
         END IF;
         IF :NEW.IDCANCEXTNFCE IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDCANCEXTNFCE ' || ' ' || NVL(:NEW.IDCANCEXTNFCE,'' );
         END IF;
         IF :NEW.IDGERALOGNFCE IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDGERALOGNFCE ' || ' ' || NVL(:NEW.IDGERALOGNFCE,'' );
         END IF;
         IF :NEW.DSDIRARQLOGNFCE IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'DSDIRARQLOGNFCE ' || ' ' || NVL(:NEW.DSDIRARQLOGNFCE,'' );
         END IF;
         IF :NEW.IDTPTAXAROYA IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDTPTAXAROYA ' || ' ' || NVL(:NEW.IDTPTAXAROYA,'' );
         END IF;
         IF :NEW.IDTPTAXAMARK IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDTPTAXAMARK ' || ' ' || NVL(:NEW.IDTPTAXAMARK,'' );
         END IF;
         IF :NEW.DTFECHAFRANQ IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'DTFECHAFRANQ ' || ' ' || NVL(:NEW.DTFECHAFRANQ,'' );
         END IF;      
         IF :NEW.TPVENCNF IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'TPVENCNF ' || ' ' || NVL(:NEW.TPVENCNF,'' );
         END IF;
         IF :NEW.DIAVENCNF IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'DIAVENCNF ' || ' ' || NVL(:NEW.DIAVENCNF,'' );
         END IF;
         IF :NEW.CDCLIFRAN IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'CDCLIFRAN ' || ' ' || NVL(:NEW.CDCLIFRAN,'' );
         END IF;
         IF :NEW.NMRAZSOCCLIEFRAN IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'NMRAZSOCCLIEFRAN ' || ' ' || NVL(:NEW.NMRAZSOCCLIEFRAN,'' );
         END IF;
         IF :NEW.CDPRODUTOROY IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'CDPRODUTOROY ' || ' ' || NVL(:NEW.CDPRODUTOROY,'' );
         END IF;
         IF :NEW.NMPRODUTOROY IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'NMPRODUTOROY ' || ' ' || NVL(:NEW.NMPRODUTOROY,'' );
         END IF;
         IF :NEW.CDPRODUTOMAR IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'CDPRODUTOMAR ' || ' ' || NVL(:NEW.CDPRODUTOMAR,'' );
         END IF;
         IF :NEW.NMPRODUTOMAR IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'NMPRODUTOMAR ' || ' ' || NVL(:NEW.NMPRODUTOMAR,'' );
         END IF;
         IF :NEW.CDSERIEFRAN IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'CDSERIEFRAN ' || ' ' || NVL(:NEW.CDSERIEFRAN,'' );
         END IF;
         IF :NEW.DSSERIEFRAN IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'DSSERIEFRAN ' || ' ' || NVL(:NEW.DSSERIEFRAN,'' );
         END IF;
         IF :NEW.CDTIPOOPERFRAN IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'CDTIPOOPERFRAN ' || ' ' || NVL(:NEW.CDTIPOOPERFRAN,'' );
         END IF;
         IF :NEW.NMTIPOOPERFRAN IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'NMTIPOOPERFRAN ' || ' ' || NVL(:NEW.NMTIPOOPERFRAN,'' );
         END IF;
         IF :NEW.IDUTILCONTAB IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDUTILCONTAB ' || ' ' || NVL(:NEW.IDUTILCONTAB,'' );
         END IF;
         IF :NEW.IDCONCREDDF IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDCONCREDDF ' || ' ' || NVL(:NEW.IDCONCREDDF,'' );
         END IF;
         IF :NEW.IDETIQZEBRA IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDETIQZEBRA ' || ' ' || NVL(:NEW.IDETIQZEBRA,'' );
         END IF;
         IF :NEW.NRDIAVALTURCAIX IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'NRDIAVALTURCAIX ' || ' ' || NVL(:NEW.NRDIAVALTURCAIX,'' );
         END IF;
         IF :NEW.IDBLOQCONSOLIDA IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDBLOQCONSOLIDA ' || ' ' || NVL(:NEW.IDBLOQCONSOLIDA,'' );
         END IF;
         IF :NEW.IDCONSISTECONSO IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDCONSISTECONSO ' || ' ' || NVL(:NEW.IDCONSISTECONSO,'' );
         END IF;
         IF :NEW.IDINTHOTEL IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDINTHOTEL ' || ' ' || NVL(:NEW.IDINTHOTEL,'' );
         END IF;
         IF :NEW.DSSTRINGHOTEL IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'DSSTRINGHOTEL ' || ' ' || NVL(:NEW.DSSTRINGHOTEL,'' );
         END IF;
         IF :NEW.CDCODSCONSPROD IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'CDCODSCONSPROD ' || ' ' || NVL(:NEW.CDCODSCONSPROD,'' );
         END IF;
         IF :NEW.CDCODSCONSHOMO IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'CDCODSCONSHOMO ' || ' ' || NVL(:NEW.CDCODSCONSHOMO,'' );
         END IF;
         IF :NEW.CDURLWSNFC IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'CDURLWSNFC ' || ' ' || NVL(:NEW.CDURLWSNFC,'' );
         END IF;
         IF :NEW.CDVINCSAT IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'CDVINCSAT ' || ' ' || NVL(:NEW.CDVINCSAT,'' );
         END IF;
         IF :NEW.NRMINEXPVENDA IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'NRMINEXPVENDA ' || ' ' || NVL(:NEW.NRMINEXPVENDA,'' );
         END IF;
         IF :NEW.IDSOLICITADOTZ IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDSOLICITADOTZ ' || ' ' || NVL(:NEW.IDSOLICITADOTZ,'' );
         END IF;
         IF :NEW.IDENVIAPEDKDS IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDENVIAPEDKDS ' || ' ' || NVL(:NEW.IDENVIAPEDKDS,'' );
         END IF;
         IF :NEW.IDINTEGRAEEXTRA IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDINTEGRAEEXTRA ' || ' ' || NVL(:NEW.IDINTEGRAEEXTRA,'' );
         END IF;
         IF :NEW.IDSOLICITANSU IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDSOLICITANSU ' || ' ' || NVL(:NEW.IDSOLICITANSU,'' );
         END IF;
         IF :NEW.CDVENDEDOR IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'CDVENDEDOR ' || ' ' || NVL(:NEW.CDVENDEDOR,'' );
         END IF;
         IF :NEW.IDAGRUPVALORCLI IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDAGRUPVALORCLI ' || ' ' || NVL(:NEW.IDAGRUPVALORCLI,'' );
         END IF;
         IF :NEW.CDIDTOKENHOMO IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'CDIDTOKENHOMO ' || ' ' || NVL(:NEW.CDIDTOKENHOMO,'' );
         END IF;
         IF :NEW.CDIDTOKENPROD IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'CDIDTOKENPROD ' || ' ' || NVL(:NEW.CDIDTOKENPROD,'' );
         END IF;
         IF :NEW.CDTIPORETI IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'CDTIPORETI ' || ' ' || NVL(:NEW.CDTIPORETI,'' );
         END IF;
         IF :NEW.CDAJDIFTXADMREC IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'CDAJDIFTXADMREC ' || ' ' || NVL(:NEW.CDAJDIFTXADMREC,'' );
         END IF;
         IF :NEW.DSRECOMENDNUTRI IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'DSRECOMENDNUTRI ' || ' ' || NVL(:NEW.DSRECOMENDNUTRI,'' );
         END IF;
         IF :NEW.NRTAMARQXML IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'NRTAMARQXML ' || ' ' || NVL(:NEW.NRTAMARQXML,'' );
         END IF;
         IF :NEW.CDTPAJUSANGRACR IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'CDTPAJUSANGRACR ' || ' ' || NVL(:NEW.CDTPAJUSANGRACR,'' );
         END IF;
         IF :NEW.CDTPAJUSANGRRED IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'CDTPAJUSANGRRED ' || ' ' || NVL(:NEW.CDTPAJUSANGRRED,'' );
         END IF;      
         IF :NEW.IDLOJAESITEFFIL IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDLOJAESITEFFIL ' || ' ' || NVL(:NEW.IDLOJAESITEFFIL,'' );
         END IF;
         IF :NEW.CDLOJAESITEFFIL IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'CDLOJAESITEFFIL ' || ' ' || NVL(:NEW.CDLOJAESITEFFIL,'' );
         END IF;        
         IF :NEW.IDPREVALIDCUPOM IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDPREVALIDCUPOM ' || ' ' || NVL(:NEW.IDPREVALIDCUPOM,'' );
         END IF;
         IF :NEW.IDPERMANUTVEN IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDPERMANUTVEN ' || ' ' || NVL(:NEW.IDPERMANUTVEN,'' );
         END IF;
         IF :NEW.NRSEGLIMPEZATAA IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'NRSEGLIMPEZATAA ' || ' ' || NVL(:NEW.NRSEGLIMPEZATAA,'' );
         END IF;
         IF :NEW.IDCPFPINPAD IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDCPFPINPAD ' || ' ' || NVL(:NEW.IDCPFPINPAD,'' );
         END IF;  
         IF :NEW.IDINFOCPFPINPAD IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDINFOCPFPINPAD ' || ' ' || NVL(:NEW.IDINFOCPFPINPAD,'' );
         END IF;
         IF :NEW.IDIMPLOGONF IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDIMPLOGONF ' || ' ' || NVL(:NEW.IDIMPLOGONF,'' );
         END IF;
         IF :NEW.NRPOSNVBEMA IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'NRPOSNVBEMA ' || ' ' || NVL(:NEW.NRPOSNVBEMA,'' );
         END IF;
         IF :NEW.NRPOSNV2EPSON IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'NRPOSNV2EPSON ' || ' ' || NVL(:NEW.NRPOSNV2EPSON,'' );
         END IF;
         IF :NEW.NRPOSNV1EPSON IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'NRPOSNV1EPSON ' || ' ' || NVL(:NEW.NRPOSNV1EPSON,'' );
         END IF;
         IF :NEW.IDCONSCAMPFIDEL IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDCONSCAMPFIDEL ' || ' ' || NVL(:NEW.IDCONSCAMPFIDEL,'' );
         END IF;
         IF :NEW.IDUTLIBERAPROV IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDUTLIBERAPROV ' || ' ' || NVL(:NEW.IDUTLIBERAPROV,'' );
         END IF;
         IF :NEW.IDUTFECHAUTO IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDUTFECHAUTO ' || ' ' || NVL(:NEW.IDUTFECHAUTO,'' );
         END IF;
         IF :NEW.IDFECHACUPOM IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDFECHACUPOM ' || ' ' || NVL(:NEW.IDFECHACUPOM,'' );
         END IF;
         IF :NEW.IDIMPTXSERV IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDIMPTXSERV ' || ' ' || NVL(:NEW.IDIMPTXSERV,'' );
         END IF;
         IF :NEW.QTDMAXDIGNSU IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'QTDMAXDIGNSU ' || ' ' || NVL(:NEW.QTDMAXDIGNSU,'' );
         END IF;
         IF :NEW.IDUTLQTDPED IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDUTLQTDPED ' || ' ' || NVL(:NEW.IDUTLQTDPED,'' );
         END IF;
         IF :NEW.DSARQXMLCATR IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'DSARQXMLCATR ' || ' ' || NVL(:NEW.DSARQXMLCATR,'' );
         END IF;
         IF :NEW.IDAGRUITEMVEN IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDAGRUITEMVEN ' || ' ' || NVL(:NEW.IDAGRUITEMVEN,'' );
         END IF;
         IF :NEW.VRCONSMAXPER IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'VRCONSMAXPER ' || ' ' || NVL(:NEW.VRCONSMAXPER,'' );
         END IF;
         IF :NEW.VRTXENTREGA IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'VRTXENTREGA ' || ' ' || NVL(:NEW.VRTXENTREGA,'' );
         END IF;
         IF :NEW.VRMINSANGRIA IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'VRMINSANGRIA ' || ' ' || NVL(:NEW.VRMINSANGRIA,'' );
         END IF;
         IF :NEW.VRMAXSANGRIA IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'VRMAXSANGRIA ' || ' ' || NVL(:NEW.VRMAXSANGRIA,'' );
         END IF;
         IF :NEW.NRTEMPMAXENTR IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'NRTEMPMAXENTR ' || ' ' || NVL(:NEW.NRTEMPMAXENTR,'' );
         END IF;
         IF :NEW.VRPERCROYALT IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'VRPERCROYALT ' || ' ' || NVL(:NEW.VRPERCROYALT,'' );
         END IF;
         IF :NEW.VRFIXOROYALT IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDATUIDMCLI ' || ' ' || NVL(:NEW.VRFIXOROYALT,'' );
         END IF;
         IF :NEW.VRPERCMARKET IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'VRPERCMARKET ' || ' ' || NVL(:NEW.VRPERCMARKET,'' );
         END IF;
         IF :NEW.VRFIXOMARKET IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'VRFIXOMARKET ' || ' ' || NVL(:NEW.VRFIXOMARKET,'' );
         END IF;
         IF :NEW.NRATRAPADRAO IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'NRATRAPADRAO ' || ' ' || NVL(:NEW.NRATRAPADRAO,'' );
         END IF;
         IF :NEW.IDCONDESCTXSERV IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDCONDESCTXSERV ' || ' ' || NVL(:NEW.IDCONDESCTXSERV,'' );
         END IF;
         IF :NEW.IDPREVDSALDO IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDPREVDSALDO ' || ' ' || NVL(:NEW.IDPREVDSALDO,'' );
         END IF;
         IF :NEW.IDCONSDESCTXSERV IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDCONSDESCTXSERV ' || ' ' || NVL(:NEW.IDCONSDESCTXSERV,'' );
         END IF;
         IF :NEW.IDEXIBESTATIS IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDEXIBESTATIS ' || ' ' || NVL(:NEW.IDEXIBESTATIS,'' );
         END IF;

         V_ITPESQ :=  :NEW.CDFILIAL||:NEW.CDPARAVEND;
         V_IDTIPOOPER := '1';
   ELSE
      IF DELETING THEN
         IF :OLD.CDFILIAL IS NOT NULL THEN 
            V_DESC := ' ' || 'Filial' || NVL(:OLD.CDFILIAL,'' );
         END IF;
         IF :OLD.CDPARAVEND IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'CDPARAVEND ' || ' ' || NVL(:OLD.CDPARAVEND,'' );
         END IF;
         IF :OLD.CDPRODUTO IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'CDPRODUTO ' || ' ' || NVL(:OLD.CDPRODUTO,'' );
         END IF;
         IF :OLD.CDCLIENTE IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'Cliente ' || ' ' || NVL(:OLD.CDCLIENTE,'' );
         END IF;
         IF :OLD.NMULTIMOTXT IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'NMULTIMOTXT ' || ' ' || NVL(:OLD.NMULTIMOTXT,'' );
         END IF;
         IF :OLD.IDCONSUMIOBR IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDCONSUMIOBR ' || ' ' || NVL(:OLD.IDCONSUMIOBR,'' );
         END IF;
         IF :OLD.QTDIGCDIDCON IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'QTDIGCDIDCON ' || ' ' || NVL(:OLD.QTDIGCDIDCON,'' );
         END IF;
         IF :OLD.CDDIGCDIDCON IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'CDDIGCDIDCON ' || ' ' || NVL(:OLD.CDDIGCDIDCON,'' );
         END IF;
         IF :OLD.IDATUEST IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDATUEST ' || ' ' || NVL(:OLD.IDATUEST,'' );
         END IF;
         IF :OLD.CDSERVFILI IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'CDSERVFILI ' || ' ' || NVL(:OLD.CDSERVFILI,'' );
         END IF;
         IF :OLD.IDSERVPAD IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDSERVPAD ' || ' ' || NVL(:OLD.IDSERVPAD,'' );
         END IF;
         IF :OLD.IDIMPCUPFIS IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDIMPCUPFIS ' || ' ' || NVL(:OLD.IDIMPCUPFIS,'' );
         END IF;
         IF :OLD.CDEMPRESA IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'CDEMPRESA ' || ' ' || NVL(:OLD.CDEMPRESA,'' );
         END IF;
         IF :OLD.CDINSCESTA IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'CDINSCESTA ' || ' ' || NVL(:OLD.CDINSCESTA,'' );
         END IF;
         IF :OLD.CDINSCMUNI IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'CDINSCMUNI ' || ' ' || NVL(:OLD.CDINSCMUNI,'' );
         END IF;
         IF :OLD.CDSERIE IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'CDSERIE ' || ' ' || NVL(:OLD.CDSERIE,'' );
         END IF;
         IF :OLD.CDTABEPREC IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'CDTABEPREC ' || ' ' || NVL(:OLD.CDTABEPREC,'' );
         END IF;
         IF :OLD.IDFORMAPRECO IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'CDTABEPREC ' || ' ' || NVL(:OLD.CDTABEPREC,'' );
         END IF;
         IF :OLD.IDCUSFOPRECO IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDCUSFOPRECO ' || ' ' || NVL(:OLD.IDCUSFOPRECO,'' );
         END IF;
         IF :OLD.IDPRECDIFCOM IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDPRECDIFCOM ' || ' ' || NVL(:OLD.IDPRECDIFCOM,'' );
         END IF;
         IF :OLD.IDORIGVENDA IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDORIGVENDA ' || ' ' || NVL(:OLD.IDORIGVENDA,'' );
         END IF;
         IF :OLD.NRDIAFATVEND IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'NRDIAFATVEND ' || ' ' || NVL(:OLD.NRDIAFATVEND,'' );
         END IF;
         IF :OLD.IDPERDIGCONS IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDPERDIGCONS ' || ' ' || NVL(:OLD.IDPERDIGCONS,'' );
         END IF;
         IF :OLD.CDLOJA IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'Loja ' || ' ' || NVL(:OLD.CDLOJA,'' );
         END IF;
         IF :OLD.NRDIASVENDA IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'NRDIASVENDA ' || ' ' || NVL(:OLD.NRDIASVENDA,'' );
         END IF;
         IF :OLD.IDTESESTCONS IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDTESESTCONS ' || ' ' || NVL(:OLD.IDTESESTCONS,'' );
         END IF;
         IF :OLD.IDCRIPTOCONS IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDCRIPTOCONS ' || ' ' || NVL(:OLD.IDCRIPTOCONS,'' );
         END IF;
         IF :OLD.QTDIGICOMAND IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'QTDIGICOMAND ' || ' ' || NVL(:OLD.QTDIGICOMAND,'' );
         END IF;
         IF :OLD.CDTIPOCONS IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'CDTIPOCONS ' || ' ' || NVL(:OLD.CDTIPOCONS,'' );
         END IF;
         IF :OLD.CDCCUSCLIE IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'CDCCUSCLIE ' || ' ' || NVL(:OLD.CDCCUSCLIE,'' );
         END IF;
         IF :OLD.IDPERMARCDUP IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDPERMARCDUP ' || ' ' || NVL(:OLD.IDPERMARCDUP,'' );
         END IF;
         IF :OLD.IDALTPRECO IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDALTPRECO ' || ' ' || NVL(:OLD.IDALTPRECO,'' );
         END IF;
         IF :OLD.CDTPCONSDUP IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'CDTPCONSDUP ' || ' ' || NVL(:OLD.CDTPCONSDUP,'' );
         END IF;
         IF :OLD.CDGRPRODPDV IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'CDGRPRODPDV ' || ' ' || NVL(:OLD.CDGRPRODPDV,'' );
         END IF;
         IF :OLD.NRPOSINICONS IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'NRPOSINICONS ' || ' ' || NVL(:OLD.NRPOSINICONS,'' );
         END IF;
         IF :OLD.NRPOSFINCONS IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'NRPOSFINCONS ' || ' ' || NVL(:OLD.NRPOSFINCONS,'' );
         END IF;
         IF :OLD.IDUTDLLEXSEG IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDUTDLLEXSEG ' || ' ' || NVL(:OLD.IDUTDLLEXSEG,'' );
         END IF;
         IF :OLD.CDPDVDLLSEG IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'CDPDVDLLSEG ' || ' ' || NVL(:OLD.CDPDVDLLSEG,'' );
         END IF;
         IF :OLD.CDPOODLLSEG IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'CDPOODLLSEG ' || ' ' || NVL(:OLD.CDPOODLLSEG,'' );
         END IF;
         IF :OLD.CDCXADLLSEG IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'CDCXADLLSEG ' || ' ' || NVL(:OLD.CDCXADLLSEG,'' );
         END IF;
         IF :OLD.QTMEDVENDDIA IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'QTMEDVENDDIA ' || ' ' || NVL(:OLD.QTMEDVENDDIA,'' );
         END IF;
         IF :OLD.IDUTSUBTCONS IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDUTSUBTCONS ' || ' ' || NVL(:OLD.IDUTSUBTCONS,'' );
         END IF;
         IF :OLD.CDCAIXACTRL IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'CDCAIXACTRL ' || ' ' || NVL(:OLD.CDCAIXACTRL,'' );
         END IF;
         IF :OLD.VRPEEMITROCO IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'VRPEEMITROCO ' || ' ' || NVL(:OLD.VRPEEMITROCO,'' );
         END IF;
         IF :OLD.CDFORMATCOD IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'CDFORMATCOD ' || ' ' || NVL(:OLD.CDFORMATCOD,'' );
         END IF;
         IF :OLD.NRPOSINIOPT IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'NRPOSINIOPT ' || ' ' || NVL(:OLD.NRPOSINIOPT,'' );
         END IF;
         IF :OLD.NRPOSFIMOPT IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'NRPOSFIMOPT ' || ' ' || NVL(:OLD.NRPOSFIMOPT,'' );
         END IF;
         IF :OLD.DTULTATUPAVN IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'DTULTATUPAVN ' || ' ' || NVL(:OLD.DTULTATUPAVN,'' );
         END IF;
         IF :OLD.DTINICONSTOT IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'DTINICONSTOT ' || ' ' || NVL(:OLD.DTINICONSTOT,'' );
         END IF;
         IF :OLD.IDTIPMAPRESU IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDTIPMAPRESU ' || ' ' || NVL(:OLD.IDTIPMAPRESU,'' );
         END IF;
         IF :OLD.IDENTRSAIDOP IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDENTRSAIDOP ' || ' ' || NVL(:OLD.IDENTRSAIDOP,'' );
         END IF;
         IF :OLD.CDTIPOOPER IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'CDTIPOOPER ' || ' ' || NVL(:OLD.CDTIPOOPER,'' );
         END IF;
         IF :OLD.IDACRIMPOSTO IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDACRIMPOSTO ' || ' ' || NVL(:OLD.IDACRIMPOSTO,'' );
         END IF;
         IF :OLD.CDOPERADOR IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'OPERADOR ' || ' ' || NVL(:OLD.CDOPERADOR,'' );
         END IF;
         IF :OLD.CDPRODTAXSER IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'CDPRODTAXSER ' || ' ' || NVL(:OLD.CDPRODTAXSER,'' );
         END IF;
         IF :OLD.CDFILIALEXT IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'CDFILIALEXT ' || ' ' || NVL(:OLD.CDFILIALEXT,'' );
         END IF;
         IF :OLD.CDVERBACONS IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'CDVERBACONS ' || ' ' || NVL(:OLD.CDVERBACONS,'' );
         END IF;
         IF :OLD.CDVERBAEXCE IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'CDVERBAEXCE ' || ' ' || NVL(:OLD.CDVERBAEXCE,'' );
         END IF;
         IF :OLD.IDCALCVREXCE IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDCALCVREXCE ' || ' ' || NVL(:OLD.IDCALCVREXCE,'' );
         END IF;
         IF :OLD.VRREFNEGCLIE IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'VRREFNEGCLIE ' || ' ' || NVL(:OLD.VRREFNEGCLIE,'' );
         END IF;
         IF :OLD.IDSALDOINICUPOM IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDSALDOINICUPOM ' || ' ' || NVL(:OLD.IDSALDOINICUPOM,'' );
         END IF;
         IF :OLD.IDPREVCONSPDV IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDPREVCONSPDV ' || ' ' || NVL(:OLD.IDPREVCONSPDV,'' );
         END IF;
         IF :OLD.CDSERIECNTREC IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'CDSERIECNTREC ' || ' ' || NVL(:OLD.CDSERIECNTREC,'' );
         END IF;
         IF :OLD.CDTPOPERCNTREC IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'CDTPOPERCNTREC ' || ' ' || NVL(:OLD.CDTPOPERCNTREC,'' );
         END IF;
         IF :OLD.CDREDUCONT IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'CDREDUCONT ' || ' ' || NVL(:OLD.CDREDUCONT,'' );
         END IF;
         IF :OLD.CDTPBAIXAREC IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'CDTPBAIXAREC ' || ' ' || NVL(:OLD.CDTPBAIXAREC,'' );
         END IF;
         IF :OLD.IDGERACAOTC IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDGERACAOTC ' || ' ' || NVL(:OLD.IDGERACAOTC,'' );
         END IF;
         IF :OLD.IDIMPSALDOCUPOM IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDIMPSALDOCUPOM ' || ' ' || NVL(:OLD.IDIMPSALDOCUPOM,'' );
         END IF;
         IF :OLD.IDPERCONVESTNEG IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDPERCONVESTNEG ' || ' ' || NVL(:OLD.IDPERCONVESTNEG,'' );
         END IF;
         IF :OLD.IDUTILMODPROD IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDUTILMODPROD ' || ' ' || NVL(:OLD.IDUTILMODPROD,'' );
         END IF;
         IF :OLD.NRDIASVERMOVCLI IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'NRDIASVERMOVCLI ' || ' ' || NVL(:OLD.NRDIASVERMOVCLI,'' );
         END IF;
         IF :OLD.IDUTCONFCADCONS IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDUTCONFCADCONS ' || ' ' || NVL(:OLD.IDUTCONFCADCONS,'' );
         END IF;
         IF :OLD.IDRECBOLETBANC IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDRECBOLETBANC ' || ' ' || NVL(:OLD.IDRECBOLETBANC,'' );
         END IF;
         IF :OLD.IDRECBANCOITAU IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDRECBANCOITAU ' || ' ' || NVL(:OLD.IDRECBANCOITAU,'' );
         END IF;
         IF :OLD.IDRECBANCOBRADE IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDRECBANCOBRADE ' || ' ' || NVL(:OLD.IDRECBANCOBRADE,'' );
         END IF;
         IF :OLD.IDCONSREDZMECF IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDCONSREDZMECF ' || ' ' || NVL(:OLD.IDCONSREDZMECF,'' );
         END IF;
         IF :OLD.IDCONSTCFECDIA IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDCONSTCFECDIA ' || ' ' || NVL(:OLD.IDCONSTCFECDIA,'' );
         END IF;
         IF :OLD.IDPERLANCANTDP IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDPERLANCANTDP ' || ' ' || NVL(:OLD.IDPERLANCANTDP,'' );
         END IF;
         IF :OLD.NRDIAANTLANC IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'NRDIAANTLANC ' || ' ' || NVL(:OLD.NRDIAANTLANC,'' );
         END IF;
         IF :OLD.IDPERLANCPOSDP IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDPERLANCPOSDP ' || ' ' || NVL(:OLD.IDPERLANCPOSDP,'' );
         END IF;
         IF :OLD.NRDIAPOSLANC IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'NRDIAPOSLANC ' || ' ' || NVL(:OLD.NRDIAPOSLANC,'' );
         END IF;
         IF :OLD.DTPROCVND IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'DTPROCVND ' || ' ' || NVL(:OLD.DTPROCVND,'' );
         END IF;
         IF :OLD.IDPREVDSALDO IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDPREVDSALDO ' || ' ' || NVL(:OLD.IDPREVDSALDO,'' );
         END IF;
         IF :OLD.IDEXIBESTATIS IS NOT NULL THEN
            V_DESC := NVL(V_DESC, '') || ' ' || 'IDEXIBESTATIS ' || ' ' || NVL(:OLD.IDEXIBESTATIS,'' );
         END IF;

         V_ITPESQ :=  :OLD.CDFILIAL||:OLD.CDPARAVEND;
         V_IDTIPOOPER := '3';
      END IF;
   END IF;
END IF;
   V_DESC := SUBSTR(V_DESC, 1, 4000);
   INSERT INTO LOGOPERAVND
      (NMTABELAVND,
       DTOPERACAOVND,
       NMRESPOPERVND,
       IDTIPOOPERVND,
       DSOPERACAOVND,
       CDPESQITEMVND,
       DSRDMUSUOPERVND,
       DSENDUSUOPERVND,
       DSNMUSUOPERVND,
       DSMETUSUOPERVND,
       CDORESPOPERVND,
       CDFILLOGOPERVND)
   VALUES
      ('PARAVEND',
       SYSDATE, 
       NVL(V_NMOPERADOR,' '),
       V_IDTIPOOPER,
       NVL(V_DESC,' '),
       V_ITPESQ,
       V_DSSERVERRDM,
       V_DSREMOTEADDR,
       V_DSREMOTEHOST,
       V_DSSERVMETHOD,
       V_DSREMOTEOPER,
       NVL(:NEW.CDFILIAL,:OLD.CDFILIAL));
END;
/
-- VERSAO --
BEGIN ATUVEROBJ('LOG_VND_PARAVEND','6.39.026'); END;
/
